package com.example.demo;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Primary;

@Configuration
public class InstructorsConfig {

    //When this Bean is called it constructs a Usa Instructor
    @Bean(name = "usaInstructors")
    public Instructors tcUsaInstructors(){
        return new Instructors();
    }

    @Bean(name = "ukInstructors")
    public Instructors tcUKInstructors(){
        return new Instructors();
    }

    @Primary//this ensures that Spring will inject this bean in the case that an Autowire annotation is not supplied with a Qualifier annotation.
    @Bean(name = "instructors")
    public Instructors instructors(){
        return new Instructors();
    }



}
