package com.example.demo;
import com.google.common.collect.Lists;

import java.util.Iterator;

public class Instructor extends Person implements Teacher {
    public Instructor(long id, String name) {
        super(id, name);
    }

    @Override
    public void teach(Learner learner, double numberOfHours) {
        learner.learn(numberOfHours);

    }

    @Override
    public void lecture(Iterable<? extends Learner> learners, double numberOfHours) {
        int learnerCount = 0;
        Iterator iterator = learners.iterator();

        while(iterator.hasNext()){
            learnerCount++;
        }

        for(Learner l : learners)
            l.learn(numberOfHours/learnerCount);

    }
}
