package com.example.demo;

public class Student extends Person implements Learner{

    double studyTime;

    public Student(long id, String name) {
        super(id, name);
    }

    public Student(long id, String name, double studyTime) {
        super(id, name);
        this.studyTime = studyTime;
    }

    public double getStudyTime() {
        return studyTime;
    }

    public void setStudyTime(double studyTime) {
        this.studyTime = studyTime;
    }

    @Override
    public void learn(double numberOfNumbers) {
        studyTime += numberOfNumbers;

    }
}
